import * as moment from 'moment';
import { BaseEntity, CreateDateColumn, UpdateDateColumn, ValueTransformer } from 'typeorm';

export const momentToTimestamp: ValueTransformer = {
  to: () => {
    console.log('🚀 ~ moment().utcOffset().toDate():', moment().utcOffset(0).toDate());

    return moment().utcOffset(0).toDate();
  },
  from: () => {},
};

export class BaseModel extends BaseEntity {
  @UpdateDateColumn({
    type: 'timestamp',
    default: () => moment().utcOffset(0).toDate(),
  })
  timestamp: Date;

  @CreateDateColumn({
    type: 'timestamp',
    default: () => moment().utcOffset(0).toDate(),
  })
  created_at: Date;

  @UpdateDateColumn({
    type: 'timestamp',
    default: () => moment().utcOffset(0).toDate(),
  })
  updated_at: Date;
}
